//updateChart method is called whenever the user clicks the button to
//update the chart. Here, we get a reference to the chart and update it's
//data using setDataURL method.
function retrieveReportData(url,swf,width)
{      
  if(!width) {
      width = chart_myFirst.getAttribute('width');
  }
  
  if(swf!=null){
        var c = new FusionCharts(swf+"?InvalidXMLText=No data available for this graph", "myFirst", width, chart_myFirst.getAttribute('height'), "0", "1");
        c.setDataURL(escape(url))
        c.render('myFirstDiv');              
  }else{
  		chart_myFirst.setDataURL(url);
  }
}